|  | Reflex::Code Struct Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Reflex::Code Struct Reference

Line of code fragment in lex specifications. More...

`#include <reflex.h>`

Collaboration diagram for Reflex::Code:
[legend]

## Public Member Functions
| Code (const std::string &line, const std::string &file, size_t lineno)

## Public Attributes
std::string | line
| line of code More...
std::string | file
| source filename More...
size_t | lineno
| source line number More...

## Detailed Description

Line of code fragment in lex specifications.

## Constructor & Destructor Documentation

Reflex::Code::Code | ( | const std::string & | line,
|  | const std::string & | file,
|  | size_t | lineno
| ) |  |
| inline

## Member Data Documentation

std::string Reflex::Code::file

source filename

std::string Reflex::Code::line

line of code

size_t Reflex::Code::lineno

source line number

The documentation for this struct was generated from the following file:

- reflex.h